      real*8 pbarn,barncm2
      real*8 pi,tlrnc,hc,hc2
      real*8 ede,mN,mN2,mpi,pcut
      real*8 rmpr,rmne
      real*8 q2thr,delq2,mmu,mmu2 

c  ALL ENERGIES AND MOMENTA ARE IN FM UNITS.
c  hc = Mev fm  conversion constant.
c  hc2= GeV**2 fm**2 conversion constant

      parameter (pbarn = 389.3857d-6)
      parameter (barncm2 = 1.d-24)
      parameter (pi = 3.14159265d0)
      parameter (tlrnc = 1.d-12)
      parameter (hc = 197.327053d0)
      parameter (hc2 = (hc/1000.d0)**2)
      parameter (rmpr = 938.27231/hc)
      parameter (rmne = 939.56563/hc)
      parameter (mN = (rmpr + rmne)/2.d0)
      parameter (mN2 = mN**2)
      parameter (mpi = 140.d0/hc)
      parameter (pcut = 1.0d0*mN)
      parameter (ede = -2.22d0/hc)
      parameter (q2thr = 1.0d0)
      parameter (delq2 = 0.1d0)

