*
* Test program
*
      program test
      implicit none
      include "globalpar.inc"
      integer it,N
      real*8 x,qsq,nde,sdx
      real*8 gd(2),zmin,zmax,norm0
      real azd(2),azn(2)
      external nde

      azd(1)=2.
      azd(2)=1.
c Compute normalization of the D wave function
      zmin=dexp(-pcut)
      zmax=1.d0
      norm0=sdx(1d-6,nde,zmin,zmax)
      print *,'D w.f. normalization=',norm0
       
c...Open file for output
c      open(unit=77,file='test.out')
         qsq=30.d0
         N=100
           do it = 10,95,5   !1,N-5
         x=dble(it)/dble(N)
         call nucssf(x,qsq,azd,gd)

 99      print *,  'x =',x
     &  ,' g_1 =', gd(1)/norm0
     &  ,' g_2 =', gd(2)/norm0
c     &  ,' f0 =',f0m 

c       write(77,*) x,fa
           end do

c...Close the output file
c       close(unit=77)
       stop
       end
********************************************************
       real*8 function nde(y)
       implicit none
       real*8 p,y,psi0,psi2
c  Deuteron momentum distribution
       p=dlog(1.d0/y)
       call paris(1,p,psi0,psi2)     ! Paris NN potential model
cc      call bonnq(1,p,psi0,psi2)     ! Bonn NN potential model
        nde = (psi0**2 + psi2**2) * p**2 /y
        return
        end
********************************************************
      include '/u/home/wmelnitc/public_html/FinQ2/Code/nucssf.f'
      include '/u/home/wmelnitc/public_html/FinQ2/Code/cnv2.f'
c      include '/u/home/wmelnitc/public_html/FinQ2/Code/cnv3.f'
      include '/u/home/wmelnitc/public_html/FinQ2/Code/ssf.f'
      include '/u/home/wmelnitc/public_html/FinQ2/Code/paris.f'
      include '/u/home/wmelnitc/public_html/FinQ2/Code/sd2.f'
      include '/u/home/wmelnitc/public_html/FinQ2/Code/sdx.f'
      include '/u/home/wmelnitc/public_html/FinQ2/Code/g1g2p_sim.f'
      include '/u/home/wmelnitc/public_html/FinQ2/Code/g1g2n_sim.f'
***END of test.f

